{% extends 'en/en_base.html' %}
{% load static %}


{% block content %}
    <section>
        <div class="spacer no-spacer">
            <div class="shadow p-30">
                <div class="text-center mb-5">
                    <img class="img-fluid mb-2" src="{% static 'images/common/logos/logo-blue.png' %}" width="100"/>
                    <div class="h3 c-blue">
                        Log in to Elasmobranch Project Indonesia
                    </div>
                </div>
                <form action="{% url 'backend:login' %}" method="post">
                    {% csrf_token %}
                    <div class="row g-3">
                        <div class="col-md-12">
                            <label for="username" class="form-label">
                                Username <span class="c-red">*</span>
                            </label>
                            <input type="text" class="form-control" name="username" id="username" required>
                        </div>
                        <div class="col-md-12">
                            <label for="password" class="form-label">
                                Password <span class="c-red">*</span>
                            </label>
                            <div class="input-group mb-3">
                                <input type="password" class="form-control" name="password" id="password" required>
                                <span id="password_icon" class="input-group-text">
                                    <i class="bi bi-eye"></i>
                                </span>
                            </div>
                        </div>
                        <div class="col-md-12 text-center mt-5">
                            <button type="submit" class="btn btn-primary">Log in</button>
                        </div>
                        <div class="col-md-12 text-center">
                            <a class="c-lightblue-2 fw-600 no-link" href="{% url 'frontend:identify' %}">
                                Forgot password?
                            </a>
                        </div>
                        <hr/>
                        <div class="col-md-12 text-center">
                            <a class="btn btn-success" href="{% url 'frontend:signup' %}">
                                Create New Account
                            </a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
{% endblock %}

{% block js %}
    <script type="text/javascript">
        $(document).ready(function () {
            let passwordIcon = $('#password_icon');
            passwordIcon.click(function () {
                let inputPassword = $(this).siblings().first();
                let inputPasswordType = inputPassword.attr('type');

                if (inputPasswordType === 'text') {
                    inputPassword.attr('type', 'password');
                    $(":first-child", $(this)).removeClass('bi-eye-slash').addClass('bi-eye');
                } else {
                    inputPassword.attr('type', 'text');
                    $(":first-child", $(this)).removeClass('bi-eye').addClass('bi-eye-slash');
                }
            });
        });
    </script>
{% endblock %}